### Property

# Adw ViewStack:pages

#### Declaration

    property pages: Gtk.SelectionModel [ read ]

#### Description [src]

A selection model with the stack’s pages.

This can be used to keep an up-to-date view.

The model implements `GtkSectionModel` and creates sections based on `AdwViewStackPage:starts-section` values.

The model also implements `GtkSelectionModel` and can be used to track and change the visible page.

Type:`GtkSelectionModel`

Getter method | `adw_view_stack_get_pages()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no